Subject: Re: [PATCH] Fix git-p4 on Windows to not use the Posix sysconf

From: "Shawn O. Pearce" <[email-masked]>
Date: Sat, 14 Jul 2007 22:49:28 -0400

Simon Hausmann <[email-masked]> wrote:
> On Friday 13 July 2007 15:03:51 Alex Riesen wrote:
> > On 7/13/07, Marius Storm-Olsen <[email-masked]> wrote:
> > >      argmax = min(4000, os.sysconf('SC_ARG_MAX'))
> >
> > I wonder why the code in question does not use "-x"?
> > I use it git-p4-import and haven't seen the limit yet.
> 
> I still think the patch makes sense as stop-gap for 1.5.3 though, because 
> without it git-p4 doesn't work at all on Windows.

Thanks.  Marius' patch was whitespace damaged in the context lines,
but it was easily repaired.  I've got a couple of other small items
in my fastimport repository that I'm going to ask Junio to include
in 1.5.3 shortly.

-- 
Shawn.